Bug 98904 - gnome-terminal 2.0.1-5 crash, all terminals died
gnome-terminal 2.0.1-5 crash, all terminals died
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-09 22:00 EDT by yunkai zhou
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-04 02:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yunkai zhou 2003-07-09 22:00:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208
Netscape/7.02

Description of problem:
(This bug report was generated by Bug Buddy 2.2.0)
Description of Problem:
red hat 8.0  gnome-terminal crash

It is difficult to reproduce the crash: 
I opened several gnome terminals,  login different machines using ssh
and left my laptop running for somedays.  Then when I was working on 
some terminal for relatively easy tasks (for example, using pine to check email,
and I tried to enlarge the terminal),  the crash happened.


Version-Release number of selected component (if applicable):
gnome-terminal-2.0.1-5

How reproducible:
Sometimes

Steps to Reproduce:
As I stateabove, it is not easy to reproduce the crash, so I just describe what
happened to my laptop using red-hat 8.0 (I add the
debugging report as additional information):

1.  I opened several gnome terminals,
2.  then ssh to diffeerent computers,
3.  I did not logout my laptop  for some days. I worked on different terminals
occasionally,  then somedays later, I got the crash.  (not often, twice in 6 months)
    

Additional info:

Debugging Information:

Backtrace was generated from '/usr/bin/gnome-terminal'

(no debugging symbols found)...[New Thread 8192 (LWP 1229)]
0x420ae169 in wait4 () from /lib/i686/libc.so.6
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x408f4c63 in waitpid () from /lib/i686/libpthread.so.0
#3  0x4023eff5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
#4  0x408f647e in __pthread_sighandler () from
/lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x42028cc1 in kill () from /lib/i686/libc.so.6
#7  0x408f307d in raise () from /lib/i686/libpthread.so.0
#8  0x4202a019 in abort () from /lib/i686/libc.so.6
#9  0x40946476 in g_logv () from /usr/lib/libglib-2.0.so.0
#10 0x409464b4 in g_log () from /usr/lib/libglib-2.0.so.0
#11 0x4003f5fe in vte_terminal_ensure_cursor () from
/usr/lib/libvte.so.2
#12 0x40044325 in vte_terminal_insert_char () from /usr/lib/libvte.so.2
#13 0x40045527 in vte_terminal_process_incoming () from
/usr/lib/libvte.so.2
#14 0x40940c83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
#15 0x4093df65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
#16 0x4093ef98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#17 0x4093f2ad in g_main_context_iterate () from
/usr/lib/libglib-2.0.so.0
#18 0x4093fa1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#19 0x4044139f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x08058256 in main ()
#21 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6

Thread 1 (Thread 8192 (LWP 1229)):
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
No symbol table info available.
#1  0x4212a2d0 in __DTOR_END__ () from /lib/i686/libc.so.6
No symbol table info available.
#2  0x408f4c63 in waitpid () from /lib/i686/libpthread.so.0
No symbol table info available.
#3  0x4023eff5 in libgnomeui_module_info_get () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#4  0x408f647e in __pthread_sighandler () from
/lib/i686/libpthread.so.0
No symbol table info available.
#5  <signal handler called>
No symbol table info available.
#6  0x42028cc1 in kill () from /lib/i686/libc.so.6
No symbol table info available.
#7  0x408f307d in raise () from /lib/i686/libpthread.so.0
No symbol table info available.
#8  0x4202a019 in abort () from /lib/i686/libc.so.6
No symbol table info available.
#9  0x40946476 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#10 0x409464b4 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#11 0x4003f5fe in vte_terminal_ensure_cursor () from
/usr/lib/libvte.so.2
No symbol table info available.
#12 0x40044325 in vte_terminal_insert_char () from /usr/lib/libvte.so.2
No symbol table info available.
#13 0x40045527 in vte_terminal_process_incoming () from
/usr/lib/libvte.so.2
No symbol table info available.
#14 0x40940c83 in g_idle_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#15 0x4093df65 in g_main_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0x4093ef98 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#17 0x4093f2ad in g_main_context_iterate () from
/usr/lib/libglib-2.0.so.0
No symbol table info available.
#18 0x4093fa1f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#19 0x4044139f in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#20 0x08058256 in main ()
No symbol table info available.
#21 0x420158d4 in __libc_start_main () from /lib/i686/libc.so.6
No symbol table info available.
#0  0x420ae169 in wait4 () from /lib/i686/libc.so.6
Comment 1 Havoc Pennington 2003-10-04 02:09:10 EDT
Should be fixed in more recent versions.

Note You need to log in before you can comment on or make changes to this bug.